Skip to main content
GET
JavaScript

Authorizations

X-API-KEY
string
header
required

Headers

Tenant-ID
string

The tenant identifier for multi-tenant organisations. Required when the organisation has multi-tenancy enabled. The value should be your internal ID for the tenant. Ignored for single-tenant organisations.

Query Parameters

userAttributes
string

Optional colon-delimited user attributes in the format attribute:value,attribute:value. Only achievements accessible to a user with the provided attributes will be returned.

Response

Successful operation

id
string
required

The unique ID of the achievement.

name
string
required

The name of this achievement.

trigger
enum<string>
required

The trigger of the achievement.

Available options:
metric,
streak,
api,
achievement
description
string | null
required

The description of this achievement.

badgeUrl
string | null
required

The URL of the badge image for the achievement, if one has been uploaded.

userAttributes
object[]
required

User attribute filters that must be met for this achievement to be completed.

completions
integer
required

The number of users who have completed this achievement.

rarity
number<double>
required

The percentage of all users who have completed this achievement.

key
string

The key used to reference this achievement in the API (only applicable if trigger = 'api')

streakLength
integer

The length of the streak required to complete the achievement (only applicable if trigger = 'streak')

achievementIds
string[]

The IDs of the prerequisite achievements that must be completed to earn this achievement (only applicable if trigger = 'achievement')

metricId
string

The ID of the metric associated with this achievement (only applicable if trigger = 'metric')

metricValue
number<double>

The value of the metric required to complete the achievement (only applicable if trigger = 'metric')

metricName
string

The name of the metric associated with this achievement (only applicable if trigger = 'metric')

eventAttribute
object
deprecated

Deprecated. Event attribute filter that must be met for this achievement to be completed. Only present if the achievement has an event filter configured.

eventAttributes
object[]

Event attribute filters that must be met for this achievement to be completed. Omitted for non-metric achievements.